pip连接超时?求处理办法?-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文
阿里云
为了无法计算的价值
打开APP
阿里云APP内打开

pip连接超时?求处理办法?

2020-05-28 13:27:55 766 1
Traceback (most recent call last):
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\site-packages\pip\_vendor\urllib3\response.py", line 425, in _error_catcher
    yield
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\site-packages\pip\_vendor\urllib3\response.py", line 507, in read
    data = self._fp.read(amt) if not fp_closed else b""
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\site-packages\pip\_vendor\cachecontrol\filewrapper.py", line 62, in read
    data = self.__fp.read(amt)
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\http\client.py", line 457, in read
    n = self.readinto(b)
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\http\client.py", line 501, in readinto
    n = self.fp.readinto(b)
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\socket.py", line 589, in readinto
    return self._sock.recv_into(b)
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\ssl.py", line 1071, in recv_into
    return self.read(nbytes, buffer)
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\ssl.py", line 929, in read
    return self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\site-packages\pip\_internal\cli\base_command.py", line 186, in _main
    status = self.run(options, args)
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\site-packages\pip\_internal\commands\install.py", line 331, in run
    resolver.resolve(requirement_set)
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\site-packages\pip\_internal\legacy_resolve.py", line 177, in resolve
    discovered_reqs.extend(self._resolve_one(requirement_set, req))
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\site-packages\pip\_internal\legacy_resolve.py", line 333, in _resolve_one
    abstract_dist = self._get_abstract_dist_for(req_to_install)
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\site-packages\pip\_internal\legacy_resolve.py", line 282, in _get_abstract_dist_for
    abstract_dist = self.preparer.prepare_linked_requirement(req)
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\site-packages\pip\_internal\operations\prepare.py", line 482, in prepare_linked_requirement
    hashes=hashes,
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\site-packages\pip\_internal\operations\prepare.py", line 287, in unpack_url
    hashes=hashes,
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\site-packages\pip\_internal\operations\prepare.py", line 159, in unpack_http_url
    link, downloader, temp_dir.path, hashes
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\site-packages\pip\_internal\operations\prepare.py", line 303, in _download_http_url
    for chunk in download.chunks:
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\site-packages\pip\_internal\utils\ui.py", line 160, in iter
    for x in it:
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\site-packages\pip\_internal\network\utils.py", line 39, in response_chunks
    decode_content=False,
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\site-packages\pip\_vendor\urllib3\response.py", line 564, in stream
    data = self.read(amt=amt, decode_content=decode_content)
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\site-packages\pip\_vendor\urllib3\response.py", line 529, in read
    raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\contextlib.py", line 130, in __exit__
    self.gen.throw(type, value, traceback)
  File "c:\program files (x86)\microsoft visual studio\shared\python37_64\lib\site-packages\pip\_vendor\urllib3\response.py", line 430, in _error_catcher
    raise ReadTimeoutError(self._pool, None, "Read timed out.")
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.

C:\Windows\system32>

取消 提交回答
全部回答(1)
  • DM。
    2020-05-29 19:01:35

    重装pip或者使用国内镜像

    0 0
相关问答

1

回答

现在阿里函数支持options请求了吗?能有办法处理options请求了不?

2022-07-19 10:22:25 69浏览量 回答数 1

2

回答

设置了防盗链还可以被空请求头引用,有办法解决吗

2021-10-23 09:07:45 594浏览量 回答数 2

1

回答

#React 错误处理期间调用了哪些方法?

2020-05-08 10:54:33 197浏览量 回答数 1

1

回答

一个请求超过了SLB的 连接请求超时时间 可以设置不重试吗

2018-10-25 17:07:19 1985浏览量 回答数 1

1

回答

网站负责人不是法定代表人,请上传授权委托书怎么办

2018-02-28 01:41:20 1046浏览量 回答数 1

4

回答

OSS的图片处理服务,添加文字水印时,文字类型就只有图片手册那些吗?

2016-02-25 10:30:31 6411浏览量 回答数 4

4

回答

记一次群友PHP程序无法连接RDS处理经过

2014-08-17 00:26:21 11138浏览量 回答数 4

4

回答

网站被黑  都不帮处理

2013-11-06 12:10:50 6284浏览量 回答数 4

3

回答

处理论坛无意义文章和仍链接

2013-04-07 14:03:46 4108浏览量 回答数 3

3

回答

云盾清理机制可以清理UDP连接吗

2012-12-26 22:28:43 6362浏览量 回答数 3
+关注
1
文章
474
问答
问答排行榜
最热
最新
相关电子书
更多
低代码开发师(初级)实战教程
立即下载
阿里巴巴DevOps 最佳实践手册
立即下载
冬季实战营第三期:MySQL数据库进阶实战
立即下载